Package Details: telegram-purple 1.4.2-1

Git Clone URL: https://aur.archlinux.org/telegram-purple.git (read-only, click to copy)
Package Base: telegram-purple
Description: Adds support for Telegram to Pidgin, Adium, Finch and other Libpurple based messengers.
Upstream URL: https://github.com/majn/telegram-purple
Licenses: GPL
Conflicts: telegram-purple-git
Submitter: wzyboy
Maintainer: wzyboy
Last Packager: wzyboy
Votes: 135
Popularity: 1.27
First Submitted: 2015-03-21 13:17
Last Updated: 2019-09-01 14:00

Latest Comments

1 2 3 4 5 Next › Last »

gpc commented on 2020-01-22 14:33

Anyone else had sent images not display in pidgin, and result in further messages in that conversation not display? They were sent by send media option, but sending them via send file option works. (I can see everything display correctly in Android client.)

Also, since my friend sent a location to me, both pidgin and finch segfault on startup unless I disable telegram plugin. A workaround for me is to delete the location message in the Android client, then telegram-purple works again.

pidgin/libpurple 2.13.0-9, telegram-purple 1.4.2-1

Above problems appear to be reported upstream: https://github.com/majn/telegram-purple/issues/517 https://github.com/majn/telegram-purple/issues/522

SanskritFritz commented on 2019-11-24 21:15

This now crashes pidgin 2.13.0-9 here. No indication is given about the problem, pidgin dumps a core and exits. Pidgin works without the telegram plugin.

Strykar commented on 2019-11-11 07:26

Currently, this crashes Bitlbee, I've raised an issue upstream but telegram-libpurple is stripping symbols.

Upstream suggests you should not be stripping symbols - https://github.com/majn/telegram-purple/issues/525#issuecomment-552521563 However, this will increase size by approximately 3.24 MB.

Recommend adding options=(!strip) to PKGBUILD.

wzyboy commented on 2019-10-25 07:45

@Grandma I see that the author has already corrected the link to 1.4.2. The PKGBUILD is now working without issues :-)

Grandma commented on 2019-10-25 07:06

Hi, @wzboy!

Can you please check this issue out? I think it's better to rollback PKGBUILD for now before the "real" release happen.

vasya commented on 2019-10-24 08:23

Interesting. Apparently there's quite a number of typos (version mismatches) in the last entry of the releases page: https://github.com/majn/telegram-purple/releases/

Main title says "1.4.2", but the tag is "1.4.1".. This package needs a version downgrade apparently.

P.S. On the other hand, I personally stopped using telegram from pidgin, so I'll unsubscribe.

Fraterius commented on 2019-10-24 08:17

I'm getting:

ERROR: Failure while downloading https://github.com/majn/telegram-purple/releases/download/v1.4.2/telegram-purple_1.4.2.orig.tar.gz

and as I can see it's not there:

https://github.com/majn/telegram-purple/releases

wzyboy commented on 2019-09-01 14:01

@vasya Thanks. I have fixed that error.

vasya commented on 2019-09-01 11:46

Hi wzyboy. Can you please fix the PKGBUILD typo: the bash array for conflicts should be conflicts, not conflict.

Shameless plug: I've found this error via RUA (that I develop), specifically the shellcheck option of it.

You can confirm the variable name in man PKGBUILD.

wzyboy commented on 2018-08-27 07:14

I have updated the PKGBUILD to include the -w CLFAGS as @itoffshore suggested.